%define name proxychains
%define version 3.1

Name: 		%{name} 
Summary: 	This program forces any tcp connection to follow through proxy
Version: 	%{version}
Release: 	12%{?dist}
Source:  	%{name}-%{version}.tar.gz
Group: 		Networking/Other 
URL:			http://proxychains.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-buildroot  
Patch:		proxychains.diff
Patch1:		http://birch.colincross.com/proxychains/proxychains-signals.patch
License: 	GPL

%description
This program allows you to use SSH, TELNET, VNC, FTP and any other Internet
application from behind HTTP(HTTPS) and SOCKS(4/5) proxy servers. This
"proxifier" provides proxy server support to any app.  

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 
%patch
%patch1 -p1

./configure --prefix=%buildroot/usr \
   --sysconfdir=%buildroot/%{_sysconfdir} \
   --exec-prefix=%buildroot/usr \
   --libdir=%buildroot/%{_libdir}/%{name}

make

%install
#make install 
mkdir -p %buildroot/%_bindir \
         %buildroot/%{_libdir}/%{name} \
         %buildroot/%{_sysconfdir}

for file in proxychains/proxychains proxychains/proxyresolv ; do
   sed -i -e 's@/usr/lib@%{_libdir}@' $file
done

install -m 755 proxychains/proxychains %buildroot/%{_bindir}/proxychains
install -m 755 proxychains/proxyresolv %buildroot/%{_bindir}/proxyresolv
install proxychains/.libs/libproxychains.so.3.0.0 %buildroot/%{_libdir}/%{name}/libproxychains.so
install -m 644 proxychains/proxychains.conf %buildroot/%{_sysconfdir}/proxychains.conf

%clean
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root)  
%doc README AUTHORS COPYING ChangeLog
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/*
%{_libdir}/*

%changelog
* Sun Jun 22 2014 Pavel Lisy <pavel.lisy@gmail.com> 3.1-12
- EPEL patch for x86_64

* Sat Feb 21 2009 Happyman Chiu <happyman@vtdc.net> 3.1-11
- add singals patch
- make build service ready, note suse's Shared Library Naming

* Sat Feb 21 2009 Happyman Chiu <happyman@vtdc.net> 3.1-10
- make build service ready, note suse's Shared Library Naming

* Fri Feb 20 2009 Happyman Chiu <happyman@vtdc.net> 3.1
- make build service ready

* Fri Aug 10 2007 Eric Chiu <happyman@idc.hinet.net> 3.1
- for SuSE lib64

* Wed Aug 1 2007 Eric Chiu <happyman@idc.hinet.net> 3.1
- for SuSE

* Tue Jul 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.8.2-2mdk
- from Piotr Antczak <benzino@wp.pl> :
	- make rpmlint happy
	- some changes in spec file
- patch0: fix build with latest gcc

* Fri Oct 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.8.2-1mdk

- from Piotr Antczak <benzino@wp.pl>

